import axios from "../../utils/axios";


export function udidList(query) {
    return axios({
        url: "/warehouse/device/list",
        method: "get",
        params: query
    });
}


export function loadsingle(query) {
    return axios({
        url: "/warehouse/device/loadsingle",
        method: "post",
        data: query
    });
}

export function loadHistory(query) {
    return axios({
        url: "/warehouse/device/downLoadHisory",
        method: "post",
        data: query
    });
}
export function downloadUdids(query) {
    return axios({
        url: "/warehouse/device/loadudid",
        method: "post",
        data: query
    });
}

export function getProgress(query) {
    return axios({
        url: "/warehouse/device/progress",
        method: "get",
        params: query
    });
}

export function searchBykey(query){
    return axios({
        url: "/warehouse/device/search",
        method: "get",
        params: query
    });
}

export function searchByDi(query){
    return axios({
        url: "/warehouse/device/searchbydi",
        method: "get",
        params: query
    });
}



export function verifyUdi(query){
    return axios(
        {
            url: "/warehouse/product/verify",
            method: "post",
            data: query
        }
    );
}
export function unionSearch(query){
    return axios({
        url: "/warehouse/device/unionSearch",
        method: "get",
        params: query
    });
}

export function combineSearch(query){
    return axios({
        url: "/warehouse/device/combineSearch",
        method: "get",
        params: query
    });
}


export function stopDown(query){
    return axios({
        url: "/warehouse/device/stop",
        method: "get",
        params: query
    });
}

export function getCandidateCompanyName(query) {
    return axios({
        url: "/udims/enterprise/filterCandidateCompanyName",
        method: "get",
        params: query
    });
}





